0

This question is a follow-on from my prior question re: TLMGR (updating via TLMGR).

Concise summary: Clean-install of Mint 21.1 (Cinnamon, 64-bit) performed an un-requested install of the synaptic-package version of TeXLive 2021. Unwittingly, I installed "vanilla" TeXLive2022 using a DVD, on top of that cleanly installed Mint 21.1

Despite updating PATH, MANPATH and INFOPATH, running 'texhash' etc etc according to the instructions issued by the DVD installation results ---- and even isolating the synaptic-package version TeXLive2021 ---- hooks to the 2021-version synaptic package appear to persist; as a result, TexWorks and other editors will not run (see error message in prior question, hyperlink above).

I don't care whether I have the 2021 version available. But as "hooks" to 2021 exist, though I try to run exclusively from 2022, components installed within the 2021 synaptic package are still necessary. So, I cannot simply delete it.

Also, when I attempt to un-install the synaptic package (2021 version) or to "remove it completely", I am told by the Synaptic Package Manager that it will also be un-installing Kile and many other packages that I don't want to chuck in the bin and so would subsequently have to re-install (possibly creating more problems!).

Advice? Ideas? If you need details of the installation, please ask and I will do my best to comply.

+++++++++++++++ &&&&&&&&&&&&& ++++++++++ My PATH includes both the 2021 and the 2021 version (the latter is restored to its original location, /usr/share/texlive):

/usr/local/bin:
/usr/bin:
/bin:
/usr/local/texlive/2022/bin/x86_64-linux:
/usr/local/texlive/2022:
/usr/local/texlive/2022/base:
/usr/local/texlive/2022/generic/utilities:
/usr/share/texlive:

when I run TexWorks, it fails to compile the document. Here is the message I am getting:

This is LuaHBTeX, Version 1.14.0 (TeX Live 2022/dev/Debian) 
 restricted system commands enabled.
(./Dustjacket_pagelayout_pkg.tex
LaTeX2e <2021-11-15> patch level 1
[\directlua]:1: module 'luaotfload-main' not found:
    no field package.preload['luaotfload-main']
    [kpse lua searcher] file not found: 'luaotfload-main'
Error in luaotfload: reverting to OT1 L3 programming layer <2022-01-21>
(./pagelayout.cls
Document Class: pagelayout 2023/01/23 Layout graphic rich documents
(/usr/share/texlive/texmf-dist/tex/latex/pgfopts/pgfopts.sty
(/usr/share/texlive/texmf-dist/tex/latex/pgfkeys/pgfkeys.sty

! LaTeX Error: File `pgfkeys.code.tex' not found.

Type X to quit or <RETURN> to proceed,
or enter new name. (Default extension: tex)

TexWorks seems to kick-off in 2022 version, then searches for files in the 2021 version, and then fails.

1
  • The error you give here in 10 is probably useful information, none of the output clearly references the TL 2021 installation. You could try latex.org/forum/…
    – Dai Bowen
    Feb 22, 2023 at 19:32

2 Answers 2

1

At a guess (I use Debian, not Mint, not Cinnamon), your package manager has a dependency of TexLive for Kile and other editors. You mention Synaptic as the package manager, but I have no experience with that, only with apt, so this may or may not work.

Essentially, you need to convince the package manager that you have something which satisfies the dependency. For .deb files (used by apt), you can follow the instructions here. If Synaptic doesn't use .deb files, there may be a similar way to indicate you have the dependencies that your editors are looking for (or you may be able to install the editors with --no-deps or --no-recommended or similar). For this, you may need to seek help on one of the other stacks, probably Unix & Linux.SE.

2
  • I did not see your reply until moments ago, but your comment about package dependency. Kile (which is some sort of Debian beastie), was in fact the root of the problem. I would like to post a summary of the "answer" as I think it would be useful to others but I am not sure how best to do that (please comment).
    – Birdman
    Feb 23, 2023 at 19:36
  • @Birdman you can self-answer questions. Fill in whatever details are relevant to fixing your problem, summarised how you wish. If possible, make your answer as general as you can, so that it can benefit others as well. If you prefer, you can just add a summary in a comment (either on this answer, or on the question, depending on what seems better).
    – enkorvaks
    Feb 23, 2023 at 20:19
1

Avoiding tlmgr conflict

Summary of original problem: tlmgr problem resulting from conflict between a 'vanilla' TeXLive (in this case 2022), and another TeXLive (2021)

I had been using the 2021 version (with Kile, TexWorks, and LyX) until I had chalked-up several LaTeX packages that I really wanted to employ in my work. So, I tried installing those packages using tlmgr, and it balked.

At this point my objective was to Load vanilla TeXLive 2022 and --- with what I thought would be a clean install --- so solve the internal conflicts with tlmgr. So I installed TL2022 via connection to CTAN mirror, and presented with the option of keeping the older version "alongside" 2022. I chose this, in case of some future problem with my existing *.tex documents.

The two TeXLive installations were in different branches from /usr:

  1. TeXLive 2022 in vanilla the default folder at /usr/local/texlive...
  2. TeXLive 2021 in /usr/share/texlive

This maneuver did not solve the tlmgr problem, and only made it worse (--> now I had another conflict: tlmgr won't update 2021 from the CTAN 2022 mirror).

My attempts to solve the tlmgr issues resulted in file-permission problems & I was locked-out of my sudo privileges. The only practial solution was a clean install of O/S (which was an opportunity to update the O/S to mint 21.1 (64 bit, cinnamon)).

First attempt:

My steps (do NOT repeat these!) were:

  • Clean install Mint 21.1
  • Load vanilla TeXLive 2022 from DVD (which was burned from downloaded ISO image).
  • Install Kile, and TexWorks (I've been using both).

Conflict immediately arose because of two TeXLive installations; tlmgr would not perform "as advertised" & both of the Tex editors were working exclusively with the 2021 version. I did not knowingly install the 2021 version, and so its presence was VERY confusing. I came to the (incorrect!) conclusion that Mint had loaded --- by default --- TeXLive 2021 as a 'synaptic package' for my convenience (!!) during the O/S installation.

2nd attempt (more slowly,more checking this time...!)

  1. Clean install of Mint 21.1 ---> Check installation for TeXLive 2021 (Not Found---GOOD!)
  2. Install TeXLive 2022 (from a DVD, burned from the ISO distribution) ---> Check installation for TeXLive 2021 (Not Found---GOOD!)
  3. Install TeXWorks with sudo apt get install texworks. ---> Check installation for TeXLive 2021 (Not Found---GOOD!) ---> Check that TexWorks accesses the TeXLive 2022, and handles known-good documents ALL GOOD!) ---> Check installation for TeXLive 2021 (Not Found---GOOD!)

At this juncture, I was very leery about loading Kile. So, I did a dry run using

sudo apt get install --dry-run kile

BINGO! The Kile installer does NOT discover the 2022 TeXLive already on the hard-drive, and so it defaults to installation of the dependencies from TeXLive 2021 from the 'synaptic packages'.

I apply several more hours of research here....here is the crux of the problem and its solution:

Kile is tied to Debian's package management system. You need to dig a moat around your vanilla TeXLive 2022, and take steps to notify the Debian's package-management system (as used by Kile) about any packages already on-board due to the prior installation of vanilla TeX Live. The Debian installer does NOT search for them on its own!

This topic, "Integrating vanilla TeX Live with Debian", is explained along with detailed instructions at: https://www.tug.org/texlive/debian.html#vanilla https://tug.org/pipermail/tex-live/2021-July/047300.html (follow the additional hyperlinks, if you are so inclined) Carefully read the section, "Integrating vanilla TeX Live with Debian", several times. You will need to install the package, " equivs " , in order to create the 'dummy package'; if you follow the provided instructions carefully, it really does work.

Thanks to all who provided input, suggestions and answers. -Birdman-

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .